Public NotInheritable Class Frm_About

    Private Sub Frm_About_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing

    End Sub

    Private Sub Frm_About_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Set the title of the form.
        Dim descrizione As String
        Dim ApplicationTitle As String
        If My.Application.Info.Title <> "" Then
            ApplicationTitle = My.Application.Info.Title
        Else
            ApplicationTitle = System.IO.Path.GetFileNameWithoutExtension(My.Application.Info.AssemblyName)
        End If
        Me.Text = String.Format("About {0}", ApplicationTitle)
        ' Initialize all of the text displayed on the About Box.
        ' TODO: Customize the application's assembly information in the "Application" pane of the project 
        '    properties dialog (under the "Project" menu).
        Me.LabelProductName.Text = My.Application.Info.ProductName
        Me.LabelVersion.Text = String.Format("Version {0}", My.Application.Info.Version.ToString)
        Me.LabelCopyright.Text = My.Application.Info.Copyright
        Me.LabelCompanyName.Text = My.Application.Info.CompanyName
        'Me.TextBoxDescription.Text = My.Application.Info.Description
        descrizione = "Software di configurazione per le unità di telecontrollo GSM." & Chr(13) & Chr(10)
        descrizione = descrizione & "Il software viene fornito gratuitamente da Futura Elettronica e non necessita di alcun tipo di attivazione. Ne è vietata la divulgazione ad uso commerciale." & Chr(13) & Chr(10)
        descrizione = descrizione & Chr(13) & Chr(10)
        descrizione = descrizione & "Per qualsiasi informazione tecnica o richiesta di assistenza contattare telefonicamente il produttore al numero  (+39) 0331-245587 nei giorni di lunedì e mercoledì dalle ore 14.00 alle ore 18.00, oppure via mail all'indirizzo supporto@futurel.com"
        Me.TextBoxDescription.Text = descrizione
    End Sub

    Private Sub OKButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OKButton.Click
        Me.Close()
    End Sub

    Private Sub LogoPictureBox_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LogoPictureBox.Click
        Dim FormAggiornamenti As New Frm_Aggiornamenti
        FormAggiornamenti.ShowDialog()
    End Sub
End Class
